<?php 
if (class_exists('Forms'))
{
	$forms = new Forms();
	
	/* Идентификатор формы */
	$forms_id = to_int($GLOBALS['LA']['FormID']);
	
	if (isset($_POST['Submit']))
	{
		/* 0 - html, 1- plain text */
		$param['type'] = to_int($GLOBALS['LA']['TypeMail']);
	
		if (!empty($GLOBALS['LA']['EmailFieldName']) && !empty($_POST[to_str($GLOBALS['LA']['EmailFieldName'])]))
		{
			$param['e-mail'] = trim(to_str($_POST[to_str($GLOBALS['LA']['EmailFieldName'])]));
		}
	
		$external_propertys = array();
	
		// Указываем в заголовке X-HostCMS-Reason: UserForm
		$param['header'] = array('X-HostCMS-Reason' => 'UserForm');
	
		/* Производим обработку формы, результат записываем $result_form */
		$result_form = $forms->GetForm($forms_id, to_str($GLOBALS['LA']['xsl_forms']), to_str($GLOBALS['LA']['xsl_email']),$param);
	
		/* форма не обработана */
	
		if ($result_form === 0)
		{
			$external_propertys['error'] = "Вы неверно ввели число подтверждения отправки формы!";
		}
		elseif ($result_form == -1)
		{
			$external_propertys['error'] = "Заполните все обязательные поля!";
		}
		elseif ($result_form === false)
		{
			$external_propertys['error'] = "Прошло слишком мало времени с момента последней отправки Вами формы!";
		}
	
		/* Если была ошибка - выводим форму повторно с сообщением об ошибке */
		if (!empty($external_propertys['error']))
		{
			$forms->ShowForm($forms_id, to_str($GLOBALS['LA']['xsl_show_form']), $external_propertys, $_POST);
		}
	}
	else
	{
		$forms->ShowForm($forms_id, to_str($GLOBALS['LA']['xsl_show_form']));
	}
}
else
{
	?>
	<h1>Формы</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/forms/">Формы</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo;, &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/small-business/">Малый бизнес</a>&raquo;.</p> 
	<?php
}
?>